This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 372961 - Error message does not make sense when trying rhnreg_ks & rhn_register when the EUS entitlements are exhausted.
Error message does not make sense when trying rhnreg_ks & rhn_register when t...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Satellite QA List
:
Depends On:
Blocks: 345571
  Show dependency treegraph
 
Reported: 2007-11-09 10:42 EST by Preethi Thomas
Modified: 2013-01-10 04:16 EST (History)
3 users (show)

See Also:
Fixed In Version: 504
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 13:28:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2007-11-09 10:42:18 EST
Description of problem:
Error message does not make sense when trying rhnreg_ks & rhn_register when the
EUS entitlements are exhausted.

Version-Release number of selected component (if applicable):
Red Hat Network release 5.0.4

How reproducible:
always

Steps to Reproduce:

I have only tested this on RHEL 4.6

1. Run rhn_register or rhnreg_ks with a username which has exhausted the EUS
entitlements.

  
Actual results:

for rhn_register:

 Problem registering system:                      │ 
              │ While running 'registration.new_system': caught  │ 
              │ <type 'instance'> : unsubscriptable object

for rhnreg_ks
[root@hp-dl360g5-02 ~]# rhnreg_ks --username=preethit --password=redhat
--email=pthomas@redhat.com --serverUrl=http://xmlrpc.rhn.webqa.redhat.com/XMLRPC
--use-eus-channel --force
While running 'registration.new_system': caught
<type 'instance'> : unsubscriptable object


Expected results:

Error message stating that the user does not have a any channel entitlements 

Additional info:
Comment 1 Kathy Whyte 2008-01-31 16:03:39 EST
I get this same error message:
While running 'registration.new_system': caught
<type 'instance'> : unsubscriptable object

when I have particular Child Channels set for my Activation keys.  When I clear
all Child Channels rhnreg_ks it run without error.

I don't know if this is directly related or not...

Kathy Whyte
Comment 2 nathan r. hruby 2008-01-31 16:16:13 EST
... ditto when you have a typo in apackage to be isntalled with an activation key.

When copy-pasting the packages into my kickstart, anaconda was helpful enough to
to pop up a message, looking at the error, it makes me belive the core code
wants to pop-up a message but can not.
Comment 3 Kathy Whyte 2008-02-01 09:26:53 EST
I get this same error message:
While running 'registration.new_system': caught
<type 'instance'> : unsubscriptable object

when I have particular Child Channels set for my Activation keys.  When I clear
all Child Channels rhnreg_ks it run without error.

I don't know if this is directly related or not...

Kathy Whyte
Comment 4 Kathy Whyte 2008-02-01 09:29:10 EST
Sorry, I didn't intend to re-submit.

Kathy Whyte
Comment 5 Kathy Whyte 2008-02-01 16:07:46 EST
Well another bit of information about Child Channels is that if I only have 
RHEL Desktop Workstation (v.5 for 32-bit x86) set it works.  So maybe there is
some conflict in having multiple RHEL 5 channels set....

Kathy Whyte

Note You need to log in before you can comment on or make changes to this bug.